#ifndef DATEGROUPWIDGET_H
#define DATEGROUPWIDGET_H

#include "dateedit.h"
#include "calendarwidget.h"
#include <QWidget>
#include <QComboBox>
#include <QLabel>
#include <QHBoxLayout>
#include <QTimerEvent>
#include <kysdk/kysdk-system/libkydate.h>

class DategroupWidget : public QWidget
{
    Q_OBJECT
public:
    DategroupWidget(QWidget *parent = nullptr);
    ~DategroupWidget();
    void initHour();
    void initMinAndSec();
    void updateTime();
    void initConnect();

public Q_SLOTS:
    void dataChangedSlot(QString key);
    void resetDateEdit(QString date);

Q_SIGNALS:
    void dateChanged(QDate date, QTime time);

protected:
    void timerEvent(QTimerEvent *e);

private:
    DateEdit       *dateEdit          = nullptr;
    CalendarWidget *calendarWidget    = nullptr;
    QComboBox      *hourComboBox      = nullptr;
    QComboBox      *minComboBox       = nullptr;
    QComboBox      *secComboBox       = nullptr;
    QLabel         *hourMinColonLabel = nullptr;
    QLabel         *MinSecColonLabel  = nullptr;

private:
    QDBusInterface *areaInterface = nullptr;
    int timerID;
};


#endif // DATEGROUPWIDGET_H
